# BooleanType Class Reference
[Supported meta-types]

Inheritance diagram for BooleanType:
[legend]

List of all members.

## Public Member Functions

| getPrimitiveName ()
| setDefault ($default)
| getDeclaration ()
| isMeasurable ()
| toColumnType ()
| toGetter (MetaClass $class, MetaClassProperty $property, MetaClassProperty $holder=null)
| toSetter (MetaClass $class, MetaClassProperty $property, MetaClassProperty $holder=null)

## Detailed Description

Definition at line 15 of file BooleanType.class.php.

## Member Function Documentation

BooleanType::getDeclaration | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 40 of file BooleanType.class.php.

References BasePropertyType::hasDefault().

Here is the call graph for this function:

BooleanType::getPrimitiveName | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 17 of file BooleanType.class.php.

BooleanType::isMeasurable | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 51 of file BooleanType.class.php.

BooleanType::setDefault | ( | $ | default | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  BooleanType

Reimplemented from BasePropertyType.

Definition at line 26 of file BooleanType.class.php.

References BasePropertyType::$default.

BooleanType::toColumnType | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 56 of file BooleanType.class.php.

BooleanType::toGetter | ( | MetaClass $ | class,
|  | MetaClassProperty $ | property,
|  | MetaClassProperty $ | holder = `null` |
| ) |  |  |

Reimplemented from BasePropertyType.

Definition at line 61 of file BooleanType.class.php.

References MetaClassProperty::getName().

Here is the call graph for this function:

BooleanType::toSetter | ( | MetaClass $ | class,
|  | MetaClassProperty $ | property,
|  | MetaClassProperty $ | holder = `null` |
| ) |  |  |

Returns:
  {$holder->getClass()->getName()}
  {$class->getName()}
  {$class->getName()}

Reimplemented from BasePropertyType.

Definition at line 106 of file BooleanType.class.php.

References MetaClassProperty::getName().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- meta/types/BooleanType.class.php